This discussion is archived
9 Replies Latest reply: Mar 6, 2013 11:50 AM by alvaromiranda RSS

rpm package installation error.

GaneshDevadhe Newbie
Currently Being Moderated
when I tried to install rpm libaio-devel packege got below error.Please help me to get it resolved.

package libaio-0.3.106-2.src.rpm is not installed
[root@node4 oracle_11g_Linux5]# rpm -ivh libaio-0.3.106-2.src.rpm
warning: libaio-0.3.106-2.src.rpm: Header V3 DSA signature: NOKEY, key ID 1bbd5459
1:libaio warning: user builder does not exist - using root
warning: user builder does not exist - using root)
########################################### [100%]
[root@node4 oracle_11g_Linux5]# rpm -ivh libaio-devel-0.3.106-2.i386.rpm
warning: libaio-devel-0.3.106-2.i386.rpm: Header V3 DSA signature: NOKEY, key ID 1bbd5459
error: Failed dependencies:
libaio = 0.3.106-2 is needed by libaio-devel-0.3.106-2.i386
[root@node4 oracle_11g_Linux5]#
[root@node4 oracle_11g_Linux5]#
[root@node4 oracle_11g_Linux5]# rpm -ivh libaio-0.3.106-2.i386.rpm
warning: libaio-0.3.106-2.i386.rpm: Header V3 DSA signature: NOKEY, key ID 1bbd5459
Preparing... ########################################### [100%]
package libaio-0.3.106-3.2.i386 (which is newer than libaio-0.3.106-2.i386) is already installed
[root@node4 oracle_11g_Linux5]# rpm -ivh libaio-devel-0.3.106-2.i386.rpm
warning: libaio-devel-0.3.106-2.i386.rpm: Header V3 DSA signature: NOKEY, key ID 1bbd5459
error: Failed dependencies:
libaio = 0.3.106-2 is needed by libaio-devel-0.3.106-2.i386
[root@node4 oracle_11g_Linux5]#

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points